from slack_notifier import SlackNotifier, NotificationLevel

# Initialize the notifier
notifier = SlackNotifier(
    webhook_url="https://hooks.slack.com/services/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"
)

# Send a simple notification
notifier.send_info("Process started")

# Send a notification with fields
notifier.send_success(
    message="Process completed",
    title="Batch Processing",
    fields={
        "Files Processed": "100",
        "Success Rate": "98%"
    }
)

# Send a notification with code blocks
notifier.send_error(
    message="Error in processing",
    fields_code_block={
        "Stack Trace": "Error: File not found\n  at line 42"
    }
)

# Track progress
notifier = SlackNotifier(
    webhook_url="your_webhook_url",
    total_files=100,
    system_name="MyService"
)

# for file in files:
#     # Process file
#     success = process_file(file)
#     notifier.processed_files += 1
#     notifier.send_progress_notification(success=success)